package statistics_service

type VMDialysisPrescription struct {
	ID                         int64   `gorm:"column:id" json:"id"`
	UserOrgId                  int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                  int64   `gorm:"column:patient_id" json:"patient_id"`
	Anticoagulant              int64   `gorm:"column:anticoagulant" json:"anticoagulant"`
	ModeId                     int64   `gorm:"column:mode_id" json:"mode_id"`
	DialysisDuration           float64 `gorm:"column:dialysis_duration" json:"dialysis_duration"`
	Kalium                     float64 `gorm:"column:kalium" json:"kalium"`
	Sodium                     float64 `gorm:"column:sodium" json:"sodium"`
	Calcium                    float64 `gorm:"column:calcium" json:"calcium"`
	Status                     int64   `gorm:"column:status" json:"status"`
	RecordDate                 int64   `gorm:"column:record_date" json:"record_date"`
	DialysisDurationHour       int64   `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour"`
	DialysisDurationMinute     int64   `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute"`
	TargetUltrafiltration      float64 `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration"`
	DialyzerPerfusionApparatus string  `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus"`
}

func (VMDialysisPrescription) TableName() string {
	return "xt_dialysis_prescription"
}

type VMPredialysisEvaluation struct {
	ID                     int64   `gorm:"column:id" json:"id"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id"`
	AssessmentDate         int64   `gorm:"column:assessment_date" json:"assessment_date"`
	PulseFrequency         float64 `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	SystolicBloodPressure  float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	DryWeight              float64 `gorm:"column:dry_weight" json:"dry_weight"`
	WeighingBefore         float64 `gorm:"column:weighing_before" json:"weighing_before"`
	WeightBefore           float64 `gorm:"column:weight_before" json:"weight_before"`
	BloodAccessPartId      int64   `gorm:"column:blood_access_part_id" json:"blood_access_part_id"`
}

func (VMPredialysisEvaluation) TableName() string {
	return "xt_assessment_before_dislysis"
}

type VMAssessmentAfterDislysis struct {
	ID                     int64   `gorm:"column:id" json:"id"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id"`
	AssessmentDate         int64   `gorm:"column:assessment_date" json:"assessment_date"`
	PulseFrequency         float64 `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	SystolicBloodPressure  float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	ActualUltrafiltration  float64 `gorm:"column:actual_ultrafiltration" json:"actual_ultrafiltration"`
	WeighingWay            string  `gorm:"column:weighing_way" json:"weighing_way"`
	WeightAfter            float64 `gorm:"column:weight_after" json:"weight_after"`
}

func (VMAssessmentAfterDislysis) TableName() string {
	return "xt_assessment_after_dislysis"
}
